﻿<Window x:Class="Six_Dice.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Six_Dice"
        mc:Ignorable="d"
        WindowStartupLocation="CenterScreen"
        WindowState="Maximized"
        Title="Six Dice v.0.1" Height="540" Width="1130.5" Background="#07575b" ResizeMode="CanResizeWithGrip" Icon="img/icons/SixDice.ico">


    <Window.Resources>
        <Style x:Key="Table" TargetType="Label">
            <Setter Property="Foreground" Value="#e1b80d"/>
            <Setter Property="BorderThickness" Value="2"/>
            <Setter Property="BorderBrush" Value="#e1b80d"/>
            <Setter Property="FontSize" Value="30"/>
            <Setter Property="VerticalContentAlignment" Value="Center"/>
            <Setter Property="HorizontalContentAlignment" Value="Center"/>
            <Setter Property="Height" Value="60"/>
            <Setter Property="Width" Value="60"/>
            <Setter Property="Margin" Value="2"/>
            <Setter Property="Padding" Value="0"/>
        </Style>
        <Style x:Key="PickTable" TargetType="Button">

            <Setter Property="Foreground" Value="#e1b80d"/>
            <Setter Property="Background" Value="#07575b"/>
            <Setter Property="BorderThickness" Value="2"/>
            <Setter Property="BorderBrush" Value="#e1b80d"/>
            <Setter Property="FontSize" Value="30"/>
            <Setter Property="VerticalContentAlignment" Value="Center"/>
            <Setter Property="HorizontalContentAlignment" Value="Center"/>
            <Setter Property="Height" Value="60"/>
            <Setter Property="Width" Value="60"/>
            <Setter Property="Margin" Value="2"/>
            <Setter Property="Padding" Value="0"/>
            <Setter Property="IsEnabled" Value="true"/>



        </Style>
        <Style x:Key="dice" TargetType="Button">
            <Setter Property="Foreground" Value="#e1b80d"/>
            <Setter Property="Background" Value="#07575b"/>
            <Setter Property="BorderThickness" Value="0"/>
            <Setter Property="BorderBrush" Value="#e1b80d"/>
            <Setter Property="FontSize" Value="30"/>
            <Setter Property="VerticalContentAlignment" Value="Center"/>
            <Setter Property="HorizontalContentAlignment" Value="Center"/>
            <Setter Property="VerticalAlignment" Value="Bottom"/>
            <Setter Property="Height" Value="150"/>
            <Setter Property="Width" Value="150"/>
            <Setter Property="Margin" Value="25"/>
            <Setter Property="Padding" Value="0"/>
            <Setter Property="IsEnabled" Value="true"/>
        </Style>
        <Style x:Key="Border1" TargetType="Border">
            <Setter Property="Height" Value="45"/>
            <Setter Property="Width" Value="9"/>
            <Setter Property="Margin" Value="1"/>
            <Setter Property="Padding" Value="0"/>
        </Style>
        <Style x:Key="RowBorder" TargetType="Border">
            <Setter Property="Padding" Value="10"/>
            <Setter Property="Width" Value="auto"/>
            <Setter Property="Margin" Value="0"/>
        </Style>
    </Window.Resources>
    <Viewbox VerticalAlignment="Top">
        <Grid Margin="0,0,0,0" Height="802" >
            <Grid.RowDefinitions>
                <RowDefinition Height="auto"/>
                <RowDefinition Height="auto"/>
                <RowDefinition Height="auto"/>
                <RowDefinition Height="auto"/>
                <RowDefinition Height="auto"/>
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="1010.8"/>
                <ColumnDefinition Width="750.2"/>
            </Grid.ColumnDefinitions>

            <Border Style="{StaticResource RowBorder}" x:Name="Control" Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="2">
                <StackPanel  Orientation="Horizontal" Width="auto">
                    <Label Content="Player" Style="{StaticResource Table}" Width="160"/>
                    <Border Style="{StaticResource Border1}" />
                    <Label Content="1" Style="{StaticResource Table}"/>
                    <Label Content="2" Style="{StaticResource Table}"/>
                    <Label Content="3" Style="{StaticResource Table}"/>
                    <Label Content="4" Style="{StaticResource Table}"/>
                    <Label Content="5" Style="{StaticResource Table}"/>
                    <Label Content="6" Style="{StaticResource Table}"/>
                    <Label Content="+" Style="{StaticResource Table}"/>
                    <Label Content="➕" Style="{StaticResource Table}"/>
                    <Label Content="▵" Style="{StaticResource Table}"/>
                    <Label Content="△" Style="{StaticResource Table}"/>
                    <Label Content="🅟" Style="{StaticResource Table}"/>
                    <Label Content="🅝" Style="{StaticResource Table}"/>
                    <Label Content="3•2" Style="{StaticResource Table}"/>
                    <Label Content="2•3" Style="{StaticResource Table}"/>
                    <Label Content="3,4🅼" Style="{StaticResource Table}" FontSize="23" Padding="0,0,5,0"/>
                    <Label Content="3,4🅳" Style="{StaticResource Table}" FontSize="23" Padding="0,0,5,0"/>
                    <Label Content="Strit" Style="{StaticResource Table}" FontSize="18"/>
                    <Label Content="Komplet" Style="{StaticResource Table}" FontSize="14"/>
                    <Label Content="SOS" Style="{StaticResource Table}" FontSize="18"/>
                    <Border Style="{StaticResource Border1}" />
                    <Label Content="Zapasy" Style="{StaticResource Table}" Width="160"/>
                    <Border Style="{StaticResource Border1}" />
                    <Label Content="Punkty" Style="{StaticResource Table}" Width="160"/>
                </StackPanel>
            </Border>
            <Border Style="{StaticResource RowBorder}" x:Name="Player1" Grid.Row="1" Grid.Column="0" Grid.ColumnSpan="2">
                <StackPanel   Orientation="Horizontal" Width="auto">
                    <Label x:Name="player1Name" Content="Player1" Style="{StaticResource Table}" Width="160"/>
                    <Border Style="{StaticResource Border1}" />
                    <Button Click="TakePoint" x:Name="player1One" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Two" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Three" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Four" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Five" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Six" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1SmallCross" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1LargeCross" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1SmallTriangle" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1LargeTriangle" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Even" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Odd" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1ThreeTimesTwo" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1TwoTimesThree" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1SmallThreeFour" Content=" " Style="{StaticResource PickTable}" />
                    <Button Click="TakePoint" x:Name="player1LargeThreeFour" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Strit" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Set" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player1Sos" Content=" " Style="{StaticResource PickTable}"/>
                    <Border Style="{StaticResource Border1}" />
                    <Label x:Name="player1SpareThrows" Content="0" Style="{StaticResource Table}" Width="160"/>
                    <Border Style="{StaticResource Border1}" />
                    <Label x:Name="player1TotalPoints" Content="0" Style="{StaticResource Table}" Width="160"/>
                </StackPanel>
            </Border>
            <Border Style="{StaticResource RowBorder}" x:Name="Player2" Grid.Row="2" Grid.Column="0" Grid.ColumnSpan="2">
                <StackPanel   Orientation="Horizontal" Width="auto">
                    <Label x:Name="player2Name" Content="Player2" Style="{StaticResource Table}" Width="160"/>
                    <Border Style="{StaticResource Border1}" />
                    <Button Click="TakePoint" x:Name="player2One" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Two" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Three" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Four" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Five" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Six" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2SmallCross" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2LargeCross" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2SmallTriangle" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2LargeTriangle" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Even" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Odd" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2ThreeTimesTwo" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2TwoTimesThree" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2SmallThreeFour" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2LargeThreeFour" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Strit" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Set" Content=" " Style="{StaticResource PickTable}"/>
                    <Button Click="TakePoint" x:Name="player2Sos" Content=" " Style="{StaticResource PickTable}"/>
                    <Border Style="{StaticResource Border1}" />
                    <Label x:Name="player2SpareThrows" Content="0" Style="{StaticResource Table}" Width="160"/>
                    <Border Style="{StaticResource Border1}" />
                    <Label x:Name="player2TotalPoints" Content="0" Style="{StaticResource Table}" Width="160"/>
                </StackPanel>
            </Border>
            <Border x:Name="dices" Grid.Row="3" Grid.Column="0" Grid.ColumnSpan="2" Margin="0,0,0,68">
                <StackPanel Orientation="Horizontal" Width="auto" HorizontalAlignment="Center">
                    <Button x:Name="dice1" Style="{StaticResource dice}" Click="IsOnHand">
                        <Image x:Name="dice1img" Source="img/dices/6.png"></Image>
                    </Button>
                    <Button x:Name="dice2" Style="{StaticResource dice}" Click="IsOnHand">
                        <Image x:Name="dice2img" Source="img/dices/6.png"></Image>
                    </Button>
                    <Button x:Name="dice3" Style="{StaticResource dice}" Click="IsOnHand">
                        <Image x:Name="dice3img" Source="img/dices/6.png"></Image>
                    </Button>
                    <Button x:Name="dice4" Style="{StaticResource dice}" Click="IsOnHand">
                        <Image x:Name="dice4img" Source="img/dices/6.png"></Image>
                    </Button>
                    <Button x:Name="dice5" Style="{StaticResource dice}" Click="IsOnHand">
                        <Image x:Name="dice5img" Source="img/dices/6.png"></Image>
                    </Button>
                    <Button x:Name="dice6" Style="{StaticResource dice}" Click="IsOnHand">
                        <Image x:Name="dice6img" Source="img/dices/6.png"></Image>
                    </Button>
                    <Button Click="DiceRandom" x:Name="losuj" Style="{StaticResource dice}" Width="300" Height="300">
                        <Image x:Name="bucket" Source="img/bucket/bucket.png"></Image>

                    </Button>

                </StackPanel>
            </Border>
            <Border x:Name="name" Grid.Row="4" Grid.Column="0" Grid.ColumnSpan="2">
                <StackPanel Orientation="Horizontal" HorizontalAlignment="Center">
                    <Button Click="NewGame" x:Name="NowaGra" Content="Nowa Gra" Style="{StaticResource dice}" Padding="10px" Height="70" Width="200" BorderThickness="3"/>
                    <!-- <Button Click="Help_Window" x:Name="Help" Content="Help" Style="{StaticResource dice}" Padding="10px" Height="70" Width="200" BorderThickness="3"/>
                    -->
                    <Label Content="Rundy" Style="{StaticResource Table}" Width="160" Height="70" BorderThickness="3"/>
                    <Label x:Name="Rounds" Content="1" Style="{StaticResource Table}" Height="70" Width="70" BorderThickness="3"/>
                </StackPanel>
            </Border>
        </Grid>
    </Viewbox>
</Window>

